{
  "type": "minecraft:block",
  "functions": [
    {
      "function": "minecraft:explosion_decay"
    }
  ],
  "pools": [
    {
      "bonus_rolls": 0,
      "entries": [
        {
          "type": "minecraft:alternatives",
          "children": [
            {
              "type": "minecraft:item",
              "functions": [
                {
                  "function": "minecraft:set_count",
                  "count": {
                    "min": 0,
                    "max": 2
                  }
                }
              ],
              "conditions": [
                {
                  "block": "minecraft:wheat",
                  "condition": "minecraft:block_state_property",
                  "properties": {
                    "age": "7"
                  }
                },
                {
                  "condition": "minecraft:location_check",
                  "predicate": {
                    "biomes": "#overly_realistic:is_temperate_biome"
                  }
                }
              ],
              "name": "minecraft:wheat"
            },
            {
              "type": "minecraft:item",
              "name": "minecraft:wheat_seeds"
            }
          ]
        }
      ],
      "rolls": 1,
      "conditions": [
        {
          "condition": "minecraft:match_tool",
          "predicate": {
            "items": "#minecraft:hoes"
          }
        },
        {
          "condition": "minecraft:location_check",
          "predicate": {
            "biomes": "#overly_realistic:is_temperate_biome"
          }
        }
      ]
    },
    {
      "bonus_rolls": 0,
      "conditions": [
        {
          "block": "minecraft:wheat",
          "condition": "minecraft:block_state_property",
          "properties": {
            "age": "7"
          }
        },
        {
          "condition": "minecraft:match_tool",
          "predicate": {
            "items": "#minecraft:hoes"
          }
        },
        {
          "condition": "minecraft:location_check",
          "predicate": {
            "biomes": "#overly_realistic:is_temperate_biome"
          }
        }
      ],
      "entries": [
        {
          "type": "minecraft:item",
          "functions": [
            {
              "enchantment": "minecraft:fortune",
              "formula": "minecraft:binomial_with_bonus_count",
              "function": "minecraft:apply_bonus",
              "parameters": {
                "extra": 3,
                "probability": 0.1714286
              }
            }
          ],
          "name": "minecraft:wheat_seeds"
        }
      ],
      "rolls": 1
    },
    {
      "bonus_rolls": 0,
      "conditions": [
        {
          "block": "minecraft:wheat",
          "condition": "minecraft:block_state_property",
          "properties": {
            "age": "7"
          }
        },
        {
          "condition": "minecraft:match_tool",
          "predicate": {
            "items": "#minecraft:hoes"
          }
        },
        {
          "condition": "minecraft:location_check",
          "predicate": {
            "biomes": "#overly_realistic:is_temperate_biome"
          }
        },
        {
          "condition": "minecraft:value_check",
          "value": {
            "type": "minecraft:score",
            "target": "this",
            "score": "OverlyRealistic.Player.WisdomStats.Husbandry"
          },
          "range": {
            "min": 2
          }
        }
      ],
      "entries": [
        {
          "type": "minecraft:item",
          "functions": [
            {
              "enchantment": "minecraft:fortune",
              "formula": "minecraft:binomial_with_bonus_count",
              "function": "minecraft:apply_bonus",
              "parameters": {
                "extra": 3,
                "probability": 0.6714286
              }
            }
          ],
          "name": "minecraft:wheat_seeds"
        }
      ],
      "rolls": 1
    }
  ],
  "random_sequence": "minecraft:blocks/wheat"
}